"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.testAll = void 0;
var tslib_1 = require("tslib");
var errors_1 = require("../errors");
var testAll = function (fs) {
    it("rootdir", function () { return (0, tslib_1.__awaiter)(void 0, void 0, void 0, function () {
        var stat;
        return (0, tslib_1.__generator)(this, function (_a) {
            switch (_a.label) {
                case 0: return [4, fs.head("/")];
                case 1:
                    stat = _a.sent();
                    expect(stat.size).toBeUndefined();
                    return [2];
            }
        });
    }); });
    it("nothing", function () { return (0, tslib_1.__awaiter)(void 0, void 0, void 0, function () {
        var e_1;
        return (0, tslib_1.__generator)(this, function (_a) {
            switch (_a.label) {
                case 0:
                    _a.trys.push([0, 2, , 3]);
                    return [4, fs.stat("/nothing")];
                case 1:
                    _a.sent();
                    fail("/nothing exists");
                    return [3, 3];
                case 2:
                    e_1 = _a.sent();
                    expect(e_1.name).toBe(errors_1.NotFoundError.name);
                    return [3, 3];
                case 3: return [2];
            }
        });
    }); });
    it("file_head", function () { return (0, tslib_1.__awaiter)(void 0, void 0, void 0, function () {
        var stat;
        return (0, tslib_1.__generator)(this, function (_a) {
            switch (_a.label) {
                case 0: return [4, fs.write("/file_head", new ArrayBuffer(1))];
                case 1:
                    _a.sent();
                    return [4, fs.stat("/file_head")];
                case 2:
                    stat = _a.sent();
                    expect(stat.size).toBe(1);
                    return [2];
            }
        });
    }); });
};
exports.testAll = testAll;
//# sourceMappingURL=head.js.map