"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.testAll = void 0;
var tslib_1 = require("tslib");
var errors_1 = require("../errors");
var testAll = function (fs) {
    it("rootdir", function () { return (0, tslib_1.__awaiter)(void 0, void 0, void 0, function () {
        var list;
        return (0, tslib_1.__generator)(this, function (_a) {
            switch (_a.label) {
                case 0: return [4, fs.list("/")];
                case 1:
                    list = _a.sent();
                    expect(list.length).toBe(0);
                    return [2];
            }
        });
    }); });
    it("nothing", function () { return (0, tslib_1.__awaiter)(void 0, void 0, void 0, function () {
        var e_1;
        return (0, tslib_1.__generator)(this, function (_a) {
            switch (_a.label) {
                case 0:
                    _a.trys.push([0, 2, , 3]);
                    return [4, fs.list("/nothing")];
                case 1:
                    _a.sent();
                    fail("/nothing exists");
                    return [3, 3];
                case 2:
                    e_1 = _a.sent();
                    expect(e_1.name).toBe(errors_1.NotFoundError.name);
                    return [3, 3];
                case 3: return [2];
            }
        });
    }); });
    it("file_list", function () { return (0, tslib_1.__awaiter)(void 0, void 0, void 0, function () {
        var e_2;
        return (0, tslib_1.__generator)(this, function (_a) {
            switch (_a.label) {
                case 0: return [4, fs.write("/file_list", new ArrayBuffer(1))];
                case 1:
                    _a.sent();
                    _a.label = 2;
                case 2:
                    _a.trys.push([2, 4, , 5]);
                    return [4, fs.list("/file_list")];
                case 3:
                    _a.sent();
                    fail("/nothing exists");
                    return [3, 5];
                case 4:
                    e_2 = _a.sent();
                    expect(e_2.name === errors_1.TypeMismatchError.name).toBe(true);
                    return [3, 5];
                case 5: return [2];
            }
        });
    }); });
};
exports.testAll = testAll;
//# sourceMappingURL=list.js.map