interface DOMExceptionType {
    code?: number;
    name: string;
    message: string;
}
export declare const IndexSizeError: DOMExceptionType;
export declare const HierarchyRequestError: DOMExceptionType;
export declare const WrongDocumentError: DOMExceptionType;
export declare const InvalidCharacterError: DOMExceptionType;
export declare const NoModificationAllowedError: DOMExceptionType;
export declare const NotFoundError: DOMExceptionType;
export declare const NotSupportedError: DOMExceptionType;
export declare const InUseAttributeError: DOMExceptionType;
export declare const InvalidStateError: DOMExceptionType;
export declare const SyntaxError: DOMExceptionType;
export declare const InvalidModificationError: DOMExceptionType;
export declare const NamespaceError: DOMExceptionType;
export declare const InvalidAccessError: DOMExceptionType;
export declare const TypeMismatchError: DOMExceptionType;
export declare const SecurityError: DOMExceptionType;
export declare const NetworkError: DOMExceptionType;
export declare const AbortError: DOMExceptionType;
export declare const URLMismatchError: DOMExceptionType;
export declare const QuotaExceededError: DOMExceptionType;
export declare const TimeoutError: DOMExceptionType;
export declare const InvalidNodeTypeError: DOMExceptionType;
export declare const DataCloneError: DOMExceptionType;
export declare const EncodingError: DOMExceptionType;
export declare const NotReadableError: DOMExceptionType;
export declare const UnknownError: DOMExceptionType;
export declare const ConstraintError: DOMExceptionType;
export declare const DataError: DOMExceptionType;
export declare const TransactionInactiveError: DOMExceptionType;
export declare const ReadOnlyError: DOMExceptionType;
export declare const VersionError: DOMExceptionType;
export declare const OperationError: DOMExceptionType;
export declare const NotAllowedError: DOMExceptionType;
export declare const PathExistError: DOMExceptionType;
export declare const domExceptions: DOMExceptionType[];
export declare function createError(options: {
    repository: string;
    path: string;
    e?: any;
    name?: string;
}): any;
export {};
//# sourceMappingURL=errors.d.ts.map